Bug 1651963 - Add KubeVirt featuregate configuration (DataVolumes and CPUManager)
Summary: Add KubeVirt featuregate configuration (DataVolumes and CPUManager)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Documentation
Version: 1.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 1.3
Assignee: Pan Ousley
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 10:22 UTC by Fabian Deutsch
Modified: 2018-12-03 15:21 UTC (History)
4 users (show)

Fixed In Version: 1.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-03 13:12:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fabian Deutsch 2018-11-21 10:22:50 UTC
Document URL: https://cnv_setup--ocpdocs.netlify.com/openshift-enterprise/latest/cnv_install/cnv_install.html

Section Number and Name: "Installing CNV"

Describe the issue: 
There should be a new section to create the kubevirt config to open required feature gates.

Suggestions for improvement: 

Rename "Installing the Components Manifest" to "Installing KubeVirt manifests"

Add a new step (as step 1) to the procedure:
"""
1. Create the KubeVirt configuration
   $ oc create configmap -n kube-system kubevirt-config --from-literal="feature-gates=DataVolumes, CPUManager"
   configmap "kubevirt-config" created
"""

Additional information:

Comment 1 Pan Ousley 2018-11-21 19:30:30 UTC
Thanks Fabian, here's the commit where I added this: https://github.com/openshift/openshift-docs/pull/12518/commits/e8ec2b69dd913302c3aa774fa6f001ee6df4113d

Please verify the change, thanks again!

Comment 2 Fabian Deutsch 2018-11-23 11:22:08 UTC
Looks good!

Comment 3 Nelly Credi 2018-11-26 12:01:10 UTC
per discussion with fabian & kedar, cpumanager shouldnt be enabled 
Pan, could you please remove it from the doc?

Comment 4 Fabian Deutsch 2018-11-26 13:13:17 UTC
Thus instead of:

"""
1. Create the KubeVirt configuration
   $ oc create configmap -n kube-system kubevirt-config --from-literal="feature-gates=DataVolumes, CPUManager"
   configmap "kubevirt-config" created
"""

This:

"""
1. Create the KubeVirt configuration
   $ oc create configmap -n kube-system kubevirt-config --from-literal="feature-gates=DataVolumes"
   configmap "kubevirt-config" created
"""

Comment 5 Pan Ousley 2018-11-28 19:19:10 UTC
https://github.com/openshift/openshift-docs/pull/12518/commits/7659c6ebf97638ce40345ab0fc54e7175d0a9f6b

I made Fabian's change in the above commit. Moving back to ON_QA - thanks all!

Comment 6 Nelly Credi 2018-12-02 10:52:53 UTC
LGTM

Comment 7 Nelly Credi 2018-12-02 12:21:42 UTC
i dont see it on the official doc though

Comment 8 Irina Gulina 2018-12-03 11:51:46 UTC
Fabian, please confirm that this BZ is not applicable to APB, and we can close it then. Thank you.

Comment 9 Nelly Credi 2018-12-03 13:12:45 UTC
this is part of the APB deployment,
we dont need to manually enable it

Comment 10 Pan Ousley 2018-12-03 15:21:51 UTC
(In reply to Nelly Credi from comment #7)
> i dont see it on the official doc though

Yes, I ended up removing that section when we moved away from manifests. :)

Thanks!


Note You need to log in before you can comment on or make changes to this bug.